import type { MigrationOptions } from '../../types';
import type { DropOptions, IfNotExistsOption, Name, Reversible } from '../generalTypes';
import type { StorageParameters } from './shared';
export interface CreateMaterializedViewOptions extends IfNotExistsOption {
    columns?: string | string[];
    tablespace?: string;
    storageParameters?: StorageParameters;
    data?: boolean;
}
export declare type CreateMaterializedViewFn = (viewName: Name, options: CreateMaterializedViewOptions & DropOptions, definition: string) => string | string[];
export declare type CreateMaterializedView = Reversible<CreateMaterializedViewFn>;
export declare function createMaterializedView(mOptions: MigrationOptions): CreateMaterializedView;
