import { dropPolicy } from "./dropPolicy";
import { makeClauses } from "./shared";
function createPolicy(mOptions) {
  const _create = (tableName, policyName, options = {}) => {
    const createOptions = {
      ...options,
      role: options.role || "PUBLIC"
    };
    const clauses = [
      `FOR ${options.command || "ALL"}`,
      ...makeClauses(createOptions)
    ];
    const clausesStr = clauses.join(" ");
    const policyNameStr = mOptions.literal(policyName);
    const tableNameStr = mOptions.literal(tableName);
    return `CREATE POLICY ${policyNameStr} ON ${tableNameStr} ${clausesStr};`;
  };
  _create.reverse = dropPolicy(mOptions);
  return _create;
}
export {
  createPolicy
};
