import { formatLines } from "../../utils";
function dropColumns(mOptions) {
  const _drop = (tableName, columns, options = {}) => {
    const { ifExists, cascade } = options;
    if (typeof columns === "string") {
      columns = [columns];
    } else if (!Array.isArray(columns) && typeof columns === "object") {
      columns = Object.keys(columns);
    }
    const columnsStr = formatLines(
      columns.map(mOptions.literal),
      `  DROP ${ifExists ? "IF EXISTS " : ""}`,
      `${cascade ? " CASCADE" : ""},`
    );
    return `ALTER TABLE ${mOptions.literal(tableName)}
${columnsStr};`;
  };
  return _drop;
}
export {
  dropColumns
};
